summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-09-05 18:25:39 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-09-05 18:25:39 +0200
commita1a6f77690852de409a364b66504f85264a6d1e7 (patch)
tree58a68456fd1748cf043a29ff044fc135546ed8b7
parenta0e2c5dc26f0126d8462e15e3bdf9a92bbbbee34 (diff)
parent7380941d507ee1d245b3ce20d93e32aa83f8ea9c (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
-rw-r--r--mk/build.mk8
-rw-r--r--mk/vars.mk6
-rw-r--r--package/base-files/Makefile3
-rw-r--r--package/boost/Makefile162
-rw-r--r--package/cluster-glue/Makefile1
-rw-r--r--package/cutter/patches/patch-cutter_c17
-rw-r--r--package/ipsec-tools/patches/patch-src_racoon_isakmp_c21
-rw-r--r--package/jack/Makefile3
-rw-r--r--package/kexec-tools/Makefile26
-rw-r--r--package/libhugetlbfs/Makefile2
-rw-r--r--package/llvm/Makefile1
-rw-r--r--package/openjdk/Makefile2
-rw-r--r--package/openjdk/patches/rename-libnet.patch127
-rw-r--r--package/pacemaker/Makefile1
-rw-r--r--package/python/Makefile12
-rw-r--r--package/python/patches/patch-Makefile_pre_in53
-rw-r--r--package/python/patches/patch-configure343
-rw-r--r--package/python/patches/patch-setup_py41
-rw-r--r--package/resource-agents/Makefile1
-rw-r--r--package/usbutils/Makefile4
-rw-r--r--target/arm/Makefile16
-rw-r--r--target/arm/sys-available/qemu-arm5
-rw-r--r--target/config/Config.in27
-rw-r--r--target/linux/config/Config.in.block3
-rw-r--r--target/linux/config/Config.in.kernel3
-rw-r--r--target/linux/config/Config.in.netdevice10
-rw-r--r--target/linux/config/Config.in.serial11
-rw-r--r--target/linux/config/Config.in.systems3
-rw-r--r--target/linux/patches/2.6.39/cris.patch42
29 files changed, 530 insertions, 424 deletions
diff --git a/mk/build.mk b/mk/build.mk
index 6f52bb868..15d0e3b16 100644
--- a/mk/build.mk
+++ b/mk/build.mk
@@ -513,7 +513,7 @@ bulktoolchain:
bulk:
for libc in uclibc eglibc glibc;do \
while read arch; do \
- systems=$$(./scripts/getsystems $$arch|grep -v toolchain); \
+ systems=$$(./scripts/getsystems $$arch|grep -v toolchain|grep -v qemu); \
for system in $$systems;do \
mkdir -p $(TOPDIR)/bin/$${system}_$${arch}_$$libc; \
( \
@@ -531,7 +531,7 @@ bulk:
bulkall:
for libc in uclibc eglibc glibc;do \
while read arch; do \
- systems=$$(./scripts/getsystems $$arch| grep -v toolchain); \
+ systems=$$(./scripts/getsystems $$arch| grep -v toolchain|grep -v qemu); \
for system in $$systems;do \
mkdir -p $(TOPDIR)/bin/$${system}_$${arch}_$$libc; \
( \
@@ -549,14 +549,14 @@ bulkall:
bulkallmod:
for libc in uclibc eglibc glibc;do \
while read arch; do \
- systems=$$(./scripts/getsystems $$arch| grep -v toolchain); \
+ systems=$$(./scripts/getsystems $$arch| grep -v toolchain|grep -v qemu); \
for system in $$systems;do \
mkdir -p $(TOPDIR)/bin/$${system}_$${arch}_$$libc; \
( \
echo === building $$arch $$system $$libc on $$(date); \
$(GMAKE) prereq && \
$(GMAKE) ARCH=$$arch SYSTEM=$$system LIBC=$$libc FS=archive allmodconfig; \
- $(GMAKE) VERBOSE=1 all; if [ $$? -ne 0 ]; then echo $$system >.exit; exit 1;fi; \
+ $(GMAKE) VERBOSE=1 all; if [ $$? -ne 0 ]; then echo $$system-$$libc >.exit; exit 1;fi; \
rm .config; \
) 2>&1 | tee $(TOPDIR)/bin/$${system}_$${arch}_$$libc/build.log; \
done; \
diff --git a/mk/vars.mk b/mk/vars.mk
index 89d78be83..e77726943 100644
--- a/mk/vars.mk
+++ b/mk/vars.mk
@@ -53,6 +53,12 @@ endif
ifeq ($(CPU_ARCH),mipsel)
QEMU:= qemu-mipsel
endif
+ifeq ($(CPU_ARCH),mips)
+QEMU:= qemu-mips
+endif
+ifeq ($(CPU_ARCH),i486)
+QEMU:= qemu-i386
+endif
ifeq ($(CPU_ARCH),i586)
QEMU:= qemu-i386
endif
diff --git a/package/base-files/Makefile b/package/base-files/Makefile
index 28fb34348..4cc7e970a 100644
--- a/package/base-files/Makefile
+++ b/package/base-files/Makefile
@@ -64,6 +64,9 @@ endif
cat ./files/inittab.serial >> $(IDIR_BASE_FILES)/etc/inittab
test -z $(ADK_RUNTIME_CONSOLE_BOTH) || \
cat ./files/inittab.vga >> $(IDIR_BASE_FILES)/etc/inittab
+ifeq ($(ADK_TARGET_QEMU_ARM_MODEL_VERSATILE),y)
+ $(SED) 's#ttyS#ttyAMA#g' $(IDIR_BASE_FILES)/etc/inittab
+endif
$(SED) 's#@SPEED@#$(ADK_RUNTIME_CONSOLE_SERIAL_SPEED)#' $(IDIR_BASE_FILES)/etc/inittab
test -z $(ADK_RUNTIME_HOSTNAME) || \
echo $(ADK_RUNTIME_HOSTNAME) > $(IDIR_BASE_FILES)/etc/hostname; \
diff --git a/package/boost/Makefile b/package/boost/Makefile
new file mode 100644
index 000000000..45c18e08e
--- /dev/null
+++ b/package/boost/Makefile
@@ -0,0 +1,162 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include ${TOPDIR}/rules.mk
+
+PKG_NAME:= boost
+PKG_VERSION:= 1_47_0
+PKG_RELEASE:= 1
+PKG_MD5SUM:= ff180a5276bec773a7625cac7e2288e8
+PKG_DESCR:= boost C++ library
+PKG_SECTION:= libs
+PKG_URL:= http://www.boost.org/
+PKG_SITES:= ${MASTER_SITE_SOURCEFORGE:=boost/}
+DISTFILES:= boost_1_47_0.tar.gz
+WRKDIST= ${WRKDIR}/${PKG_NAME}_${PKG_VERSION}
+
+PKG_SUBPKGS:= BOOST BOOST_DEV
+PKGSD_BOOST_DEV:= boost header files
+PKGSC_BOOST_DEV:= devel
+
+PKG_CHOICES_BOOST:= STATIC SHARED BOTH
+PKGCD_STATIC:= install static libs
+PKGCD_SHARED:= install shared libs
+PKGCD_BOTH:= install static and shared libs
+
+PKG_FLAVOURS_BOOST:= date_time graph graph_parallel iostreams math program_options python regex serialization signals system test thread wave
+
+PKGFD_date_time:= with date-time
+PKGFD_python:= with Python
+PKGFB_python:= python
+PKGFS_python:= python
+PKGFD_iostreams:= with iostreams
+PKGFD_graph:= with graph
+PKGFD_graph_parallel:= with graph_parallel
+PKGFD_math:= with math
+PKGFD_program_options:= with program_options
+PKGFD_regex:= with regex
+PKGFD_serialization:= with serialization
+PKGFD_signals:= with signals
+PKGFD_system:= with system
+PKGFD_test:= with test
+PKGFD_thread:= with thread
+PKGFD_wave:= with wave
+
+include ${TOPDIR}/mk/package.mk
+
+$(eval $(call PKG_template,BOOST,${PKG_NAME},${PKG_VERSION}-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+$(eval $(call PKG_template,BOOST_DEV,boost-dev,${PKG_VERSION}-${PKG_RELEASE},${PKG_DEPENDS},${PKGSD_BOOST_DEV},${PKGSC_BOOST_DEV}))
+
+CONFIG_STYLE:= manual
+BUILD_STYLE:= manual
+INSTALL_STYLE:= manual
+
+CONFIGURE_ARGS += \
+ --target=$(GNU_TARGET_NAME) \
+ --host=$(GNU_TARGET_NAME) \
+ --build=$(GNU_HOST_NAME) \
+ --prefix=${WRKINST}/usr \
+
+ifneq (${ADK_PACKAGE_BOOST_IOSTREAMS},)
+ CONFIGURE_ARGS += -sNO_BZIP2=1 -sZLIB_INCLUDE=${STAGING_DIR}/usr/include -sZLIB_LIBPATH=${STAGING_DIR}/usr/lib
+else
+ CONFIGURE_ARGS += --without-iostreams
+endif
+ifeq (${ADK_PACKAGE_BOOST_DATE_TIME},)
+ CONFIGURE_ARGS+=--without-date_time
+endif
+ifeq (${ADK_PACKAGE_BOOST_PYTHON},)
+ CONFIGURE_ARGS+=--without-python
+endif
+ifeq (${ADK_PACKAGE_BOOST_GRAPH},)
+ CONFIGURE_ARGS+=--without-graph
+endif
+ifeq (${ADK_PACKAGE_BOOST_math},)
+ CONFIGURE_ARGS+=--without-math
+endif
+ifeq (${ADK_PACKAGE_BOOST_PROGRAM_OPTIONS},)
+ CONFIGURE_ARGS+=--without-program_options
+endif
+ifeq (${ADK_PACKAGE_BOOST_REGEX},)
+ CONFIGURE_ARGS+=--without-regex
+endif
+ifeq (${ADK_PACKAGE_BOOST_SERIALIZATION},)
+ CONFIGURE_ARGS+=--without-serialization
+endif
+ifeq (${ADK_PACKAGE_BOOST_SIGNALS},)
+ CONFIGURE_ARGS+=--without-signals
+endif
+ifeq (${ADK_PACKAGE_BOOST_SYSTEM},)
+ CONFIGURE_ARGS+=--without-system
+endif
+ifeq (${ADK_PACKAGE_BOOST_TEST},)
+ CONFIGURE_ARGS+=--without-test
+endif
+ifeq (${ADK_PACKAGE_BOOST_THREAD},)
+ CONFIGURE_ARGS+=--without-thread
+endif
+ifeq (${ADK_PACKAGE_BOOST_WAVE},)
+ CONFIGURE_ARGS+=--without-wave
+endif
+
+# some variables for build
+GPP_PATH:= ${STAGING_HOST_DIR}/bin/${GNU_TARGET_NAME}-g++
+GPP_VERSION:= "`${GPP_PATH} -v 2>&1 | tail -1 | awk '{print $$3}'`"
+BJAM_PATH:= "`find ${WRKBUILD} -type f -name "bjam"`"
+PYTHON_PATH:= ${STAGING_TARGET_DIR}/usr/bin/python
+PYTHON_INCLUDE:= "`find ${STAGING_TARGET_DIR}/usr/include/ -maxdepth 1 -type d -name "python*" | head -1`"
+PYTHON_LIB:= "`find ${STAGING_TARGET_DIR}/usr/lib/ -maxdepth 1 -type d -name "python*" | head -1`"
+USER_JAM:= ${WRKBUILD}/tools/build/v2/user-config.jam
+
+pre-build:
+ @echo "build bjam..."
+ cd $(WRKBUILD)/tools/build/v2/engine; ./build.sh gcc
+
+do-build:
+ @echo "build boost library..."
+# remove exisiting using gcc line from user.jam
+ ${SED} "/^using gcc/d" ${USER_JAM}
+# add using gcc line with determined options to user.jam
+ echo "using gcc : ${GPP_VERSION} : ${GPP_PATH} ;" >> ${USER_JAM};
+
+# remove exisiting using python line from user.jam
+ ${SED} "/^using python/d" ${USER_JAM}
+ifneq (${ADK_PACKAGE_BOOST_PYTHON},)
+# add using python line with determined options to user.jam
+ echo "using python : ${PYTHON_VERSION} : ${PYTHON_PATH} : ${PYTHON_INCLUDE} : ${PYTHON_LIB} ;" >> ${USER_JAM};
+endif
+
+# run bjam to build boost
+ ( cd ${WRKBUILD}; \
+ ${BJAM_PATH} \
+ -sBUILD=release \
+ --toolset=gcc-${GPP_VERSION} \
+ --build-type=minimal \
+ --layout=versioned \
+ --disable-long-double \
+ --without-mpi \
+ ${CONFIGURE_ARGS} \
+ install \
+ )
+
+
+boost-install:
+ ${INSTALL_DIR} ${IDIR_BOOST}/usr/lib
+ifneq (${ADK_PACKAGE_BOOST_SHARED},)
+ ${CP} ${WRKINST}/usr/lib/*.so* ${IDIR_BOOST}/usr/lib
+endif
+ifneq (${ADK_PACKAGE_BOOST_STATIC},)
+ ${CP} ${WRKINST}/usr/lib/*.a ${IDIR_BOOST}/usr/lib
+endif
+ifneq (${ADK_PACKAGE_BOOST_BOTH},)
+ ${CP} ${WRKINST}/usr/lib/*.a ${IDIR_BOOST}/usr/lib
+ ${CP} ${WRKINST}/usr/lib/*.so* ${IDIR_BOOST}/usr/lib
+endif
+
+
+boost-dev-install:
+ ${INSTALL_DIR} ${IDIR_BOOST_DEV}/usr/include
+ ${CP} ${WRKINST}/usr/include/* ${IDIR_BOOST_DEV}/usr/include
+
+
+include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/cluster-glue/Makefile b/package/cluster-glue/Makefile
index 0e889194f..140526ebc 100644
--- a/package/cluster-glue/Makefile
+++ b/package/cluster-glue/Makefile
@@ -15,6 +15,7 @@ PKG_SITES:= http://openadk.org/distfiles/
PKG_CFLINE_CLUSTER_GLUE:= depends on ADK_TARGET_LIB_GLIBC || ADK_TARGET_LIB_EGLIBC
PKG_HOST_DEPENDS:= !darwin
+PKG_ARCH_DEPENDS:= x86 x86_64
include $(TOPDIR)/mk/package.mk
diff --git a/package/cutter/patches/patch-cutter_c b/package/cutter/patches/patch-cutter_c
index 781c17401..03129f87e 100644
--- a/package/cutter/patches/patch-cutter_c
+++ b/package/cutter/patches/patch-cutter_c
@@ -1,7 +1,18 @@
$Id: update-patches 24 2008-08-31 14:56:13Z wbx $
--- cutter-1.03.orig/cutter.c 2005-04-30 09:01:03.000000000 +0200
-+++ cutter-1.03/cutter.c 2008-10-09 11:32:40.000000000 +0200
-@@ -297,7 +297,7 @@ int send_rst(
++++ cutter-1.03/cutter.c 2011-08-24 18:49:58.830478484 +0200
+@@ -35,6 +35,10 @@
+ * improvment.
+ */
+
++#ifndef __packed
++#define __packed __attribute__((packed))
++#endif
++
+ #include <string.h>
+ #include <stdio.h>
+ #include <unistd.h>
+@@ -297,7 +301,7 @@ int send_rst(
pheader.placeholder=0;
pheader.protocol=IPPROTO_TCP;
pheader.tcp_length=htons(TCPHDR);
@@ -10,7 +21,7 @@ $Id: update-patches 24 2008-08-31 14:56:13Z wbx $
tpack.tcp.check=in_cksum((unsigned short *)&pheader,TCPHDR+12);
/*
-@@ -419,7 +419,7 @@ int send_rst(
+@@ -419,7 +423,7 @@ int send_rst(
pheader.placeholder=0;
pheader.protocol=IPPROTO_TCP;
pheader.tcp_length=htons(TCPHDR);
diff --git a/package/ipsec-tools/patches/patch-src_racoon_isakmp_c b/package/ipsec-tools/patches/patch-src_racoon_isakmp_c
new file mode 100644
index 000000000..fdf5356fc
--- /dev/null
+++ b/package/ipsec-tools/patches/patch-src_racoon_isakmp_c
@@ -0,0 +1,21 @@
+--- ipsec-tools-0.8.0.orig/src/racoon/isakmp.c 2011-03-15 14:20:14.000000000 +0100
++++ ipsec-tools-0.8.0/src/racoon/isakmp.c 2011-08-24 18:48:47.887978959 +0200
+@@ -33,6 +33,10 @@
+
+ #include "config.h"
+
++#ifndef __packed
++#define __packed __attribute__((packed))
++#endif
++
+ #include <sys/types.h>
+ #include <sys/param.h>
+ #include <sys/socket.h>
+@@ -130,6 +134,7 @@
+ # define SOL_UDP IPPROTO_UDP
+ # endif /* __NetBSD__ / __FreeBSD__ */
+
++
+ static int nostate1 __P((struct ph1handle *, vchar_t *));
+ static int nostate2 __P((struct ph2handle *, vchar_t *));
+
diff --git a/package/jack/Makefile b/package/jack/Makefile
index 65776fd7f..1c5c0268e 100644
--- a/package/jack/Makefile
+++ b/package/jack/Makefile
@@ -3,7 +3,6 @@
include $(TOPDIR)/rules.mk
-# always use tab spaces as separator, no spaces
PKG_NAME:= jack
PKG_VERSION:= 1.9.7
PKG_RELEASE:= 1
@@ -15,6 +14,8 @@ PKG_BUILDDEP:= python2 alsa-lib
PKG_URL:= http://jackaudio.org
PKG_SITES:= http://www.grame.fr/~letz/
+PKG_HOST_DEPENDS:= !darwin
+
DISTFILES:= ${PKG_NAME}-${PKG_VERSION}.tar.bz2
include $(TOPDIR)/mk/package.mk
diff --git a/package/kexec-tools/Makefile b/package/kexec-tools/Makefile
new file mode 100644
index 000000000..38b949326
--- /dev/null
+++ b/package/kexec-tools/Makefile
@@ -0,0 +1,26 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:= kexec-tools
+PKG_VERSION:= 2.0.2
+PKG_RELEASE:= 1
+PKG_MD5SUM:= bc401cf3262b25ff7c9a51fc76c8ab91
+PKG_DESCR:= kexec tools
+PKG_SECTION:= misc
+PKG_DEPENDS:= zlib
+PKG_BUILDEP:= zlib
+PKG_URL:= http://kernel.org/pub/linux/utils/kernel/kexec/
+PKG_SITES:= http://kernel.org/pub/linux/utils/kernel/kexec/
+
+include $(TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,KEXEC_TOOLS,kexec-tools,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+
+kexec-tools-install:
+ $(INSTALL_DIR) $(IDIR_KEXEC_TOOLS)/usr/sbin
+ $(INSTALL_BIN) $(WRKINST)/usr/sbin/kexec \
+ $(IDIR_KEXEC_TOOLS)/usr/sbin
+
+include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/libhugetlbfs/Makefile b/package/libhugetlbfs/Makefile
index 11d8cc9a4..7541c3128 100644
--- a/package/libhugetlbfs/Makefile
+++ b/package/libhugetlbfs/Makefile
@@ -13,7 +13,7 @@ PKG_URL:= http://libhugetlbfs.ozlabs.org/
PKG_SITES:= ${MASTER_SITE_SOURCEFORGE:=libhugetlbfs/}
PKG_CFLINE_LIBHUGETLBFS:= depends on ADK_TARGET_LIB_GLIBC || ADK_TARGET_LIB_EGLIBC
-PKG_ARCH_DEPENDS:= x86 x86_64 arm
+PKG_ARCH_DEPENDS:= x86 x86_64
include $(TOPDIR)/mk/package.mk
diff --git a/package/llvm/Makefile b/package/llvm/Makefile
index 0dfd2d3ec..1ac7c3a10 100644
--- a/package/llvm/Makefile
+++ b/package/llvm/Makefile
@@ -14,6 +14,7 @@ PKG_SITES:= http://llvm.org/releases/2.9/
PKG_CFLINE_LLVM:= depends on ADK_TARGET_LIB_GLIBC || ADK_TARGET_LIB_EGLIBC
PKG_HOST_DEPENDS:= !darwin
+PKG_ARCH_DEPENDS:= mips x86 x86_64
DISTFILES:= ${PKG_NAME}-${PKG_VERSION}.tgz
diff --git a/package/openjdk/Makefile b/package/openjdk/Makefile
index ddc34cacb..2c953c0fe 100644
--- a/package/openjdk/Makefile
+++ b/package/openjdk/Makefile
@@ -26,7 +26,7 @@ PKG_SITES:= http://download.java.net/openjdk/jdk6/promoted/b22/ \
PKG_HOST_DEPENDS:= !darwin !cygwin !openbsd !netbsd !freebsd
PKG_ARCH_DEPENDS:= arm mips x86 x86_64
-PKG_SYSTEM_DEPENDS:= !lemote-yeelong !linksys-ag241 !fon-fon2100
+PKG_SYSTEM_DEPENDS:= !lemote-yeelong !linksys-ag241 !fon-fon2100 !broadcom-bcm47xx
# autotools infrastructure for OpenJDK
ICEDTEA_NAME:= icedtea6
diff --git a/package/openjdk/patches/rename-libnet.patch b/package/openjdk/patches/rename-libnet.patch
new file mode 100644
index 000000000..671c80dcc
--- /dev/null
+++ b/package/openjdk/patches/rename-libnet.patch
@@ -0,0 +1,127 @@
+https://evolvis.org/scm/viewvc.php/jalimo/trunk/oe-overlay/packages/openjdk/openjdk-6-6b18-1.8/icedtea-libnet-renaming.patch?revision=864&view=markup&pathrev=867
+--- w-openjdk-6.orig/openjdk-6/jdk/make/java/net/Makefile 2011-02-28 17:06:10.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/make/java/net/Makefile 2011-09-02 16:20:55.597991415 +0200
+@@ -25,7 +25,7 @@
+
+ BUILDDIR = ../..
+ PACKAGE = java.net
+-LIBRARY = net
++LIBRARY = javanet
+ PRODUCT = sun
+ include $(BUILDDIR)/common/Defs.gmk
+
+--- w-openjdk-6.orig/openjdk-6/jdk/make/java/nio/Makefile 2011-02-28 17:06:11.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/make/java/nio/Makefile 2011-09-02 16:21:37.817990454 +0200
+@@ -135,11 +135,11 @@
+ endif
+ ifeq ($(PLATFORM), linux)
+ COMPILER_WARNINGS_FATAL=true
+-OTHER_LDLIBS += -L$(LIBDIR)/$(LIBARCH) -ljava -lnet -lpthread -ldl
++OTHER_LDLIBS += -L$(LIBDIR)/$(LIBARCH) -ljava -ljavanet -lpthread -ldl
+ endif
+ ifeq ($(PLATFORM), solaris)
+ OTHER_LDLIBS += $(JVMLIB) $(LIBSOCKET) -lposix4 -ldl \
+- -L$(LIBDIR)/$(LIBARCH) -ljava -lnet
++ -L$(LIBDIR)/$(LIBARCH) -ljava -ljavanet
+ endif # PLATFORM
+
+ #
+--- w-openjdk-6.orig/openjdk-6/jdk/src/share/classes/java/net/AbstractPlainDatagramSocketImpl.java 2011-02-28 17:06:22.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/src/share/classes/java/net/AbstractPlainDatagramSocketImpl.java 2011-09-02 16:22:26.507995127 +0200
+@@ -59,7 +59,7 @@
+ */
+ static {
+ java.security.AccessController.doPrivileged(
+- new sun.security.action.LoadLibraryAction("net"));
++ new sun.security.action.LoadLibraryAction("javanet"));
+ }
+
+ /**
+--- w-openjdk-6.orig/openjdk-6/jdk/src/share/classes/java/net/AbstractPlainSocketImpl.java 2011-02-28 17:06:22.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/src/share/classes/java/net/AbstractPlainSocketImpl.java 2011-09-02 16:22:58.041740544 +0200
+@@ -79,7 +79,7 @@
+ */
+ static {
+ java.security.AccessController.doPrivileged(
+- new sun.security.action.LoadLibraryAction("net"));
++ new sun.security.action.LoadLibraryAction("javanet"));
+ }
+
+ /**
+--- w-openjdk-6.orig/openjdk-6/jdk/src/share/classes/java/net/DatagramPacket.java 2011-02-28 17:06:22.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/src/share/classes/java/net/DatagramPacket.java 2011-09-02 16:23:20.197991292 +0200
+@@ -47,7 +47,7 @@
+ */
+ static {
+ java.security.AccessController.doPrivileged(
+- new sun.security.action.LoadLibraryAction("net"));
++ new sun.security.action.LoadLibraryAction("javanet"));
+ init();
+ }
+
+--- w-openjdk-6.orig/openjdk-6/jdk/src/share/classes/java/net/InetAddress.java 2011-02-28 17:06:22.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/src/share/classes/java/net/InetAddress.java 2011-09-02 16:23:57.670490341 +0200
+@@ -231,7 +231,7 @@
+ static {
+ preferIPv6Address = java.security.AccessController.doPrivileged(
+ new GetBooleanAction("java.net.preferIPv6Addresses")).booleanValue();
+- AccessController.doPrivileged(new LoadLibraryAction("net"));
++ AccessController.doPrivileged(new LoadLibraryAction("javanet"));
+ init();
+ }
+
+--- w-openjdk-6.orig/openjdk-6/jdk/src/share/classes/java/net/NetworkInterface.java 2011-02-28 17:06:22.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/src/share/classes/java/net/NetworkInterface.java 2011-09-02 16:24:13.879239438 +0200
+@@ -52,7 +52,7 @@
+ private boolean virtual = false;
+
+ static {
+- AccessController.doPrivileged(new LoadLibraryAction("net"));
++ AccessController.doPrivileged(new LoadLibraryAction("javanet"));
+ init();
+ }
+
+--- w-openjdk-6.orig/openjdk-6/jdk/src/share/classes/sun/net/spi/DefaultProxySelector.java 2011-02-28 17:06:34.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/src/share/classes/sun/net/spi/DefaultProxySelector.java 2011-09-02 16:24:50.877990409 +0200
+@@ -89,7 +89,7 @@
+ }});
+ if (b != null && b.booleanValue()) {
+ java.security.AccessController.doPrivileged(
+- new sun.security.action.LoadLibraryAction("net"));
++ new sun.security.action.LoadLibraryAction("javanet"));
+ hasSystemProxies = init();
+ }
+ }
+--- w-openjdk-6.orig/openjdk-6/jdk/src/share/classes/sun/nio/ch/Util.java 2011-02-28 17:06:35.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/src/share/classes/sun/nio/ch/Util.java 2011-09-02 16:25:45.749240462 +0200
+@@ -354,7 +354,7 @@
+ return;
+ loaded = true;
+ java.security.AccessController
+- .doPrivileged(new sun.security.action.LoadLibraryAction("net"));
++ .doPrivileged(new sun.security.action.LoadLibraryAction("javanet"));
+ java.security.AccessController
+ .doPrivileged(new sun.security.action.LoadLibraryAction("nio"));
+ // IOUtil must be initialized; Its native methods are called from
+--- w-openjdk-6.orig/openjdk-6/jdk/src/solaris/classes/sun/net/dns/ResolverConfigurationImpl.java 2011-02-28 17:06:48.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/src/solaris/classes/sun/net/dns/ResolverConfigurationImpl.java 2011-09-02 16:26:36.017990742 +0200
+@@ -244,7 +244,7 @@
+
+ static {
+ java.security.AccessController.doPrivileged(
+- new sun.security.action.LoadLibraryAction("net"));
++ new sun.security.action.LoadLibraryAction("javanet"));
+ }
+
+ }
+--- w-openjdk-6.orig/openjdk-6/jdk/src/windows/classes/sun/net/dns/ResolverConfigurationImpl.java 2011-02-28 17:06:51.000000000 +0100
++++ w-openjdk-6/openjdk-6/jdk/src/windows/classes/sun/net/dns/ResolverConfigurationImpl.java 2011-09-02 16:27:07.069240501 +0200
+@@ -160,7 +160,7 @@
+
+ static {
+ java.security.AccessController.doPrivileged(
+- new sun.security.action.LoadLibraryAction("net"));
++ new sun.security.action.LoadLibraryAction("javanet"));
+ init0();
+
+ // start the address listener thread
diff --git a/package/pacemaker/Makefile b/package/pacemaker/Makefile
index 8f0b6bbe2..82b217f17 100644
--- a/package/pacemaker/Makefile
+++ b/package/pacemaker/Makefile
@@ -15,6 +15,7 @@ PKG_SITES:= http://openadk.org/distfiles/
PKG_CFLINE_PACEMAKER:= depends on ADK_TARGET_LIB_GLIBC || ADK_TARGET_LIB_EGLIBC
PKG_HOST_DEPENDS:= !darwin
+PKG_ARCH_DEPENDS:= x86
include $(TOPDIR)/mk/package.mk
diff --git a/package/python/Makefile b/package/python/Makefile
index 4c6cc4428..993dcb034 100644
--- a/package/python/Makefile
+++ b/package/python/Makefile
@@ -4,11 +4,12 @@
include ${TOPDIR}/rules.mk
PKG_NAME:= python
-PKG_VERSION:= 3.2
+PKG_VERSION:= 3.2.2
PKG_RELEASE:= 1
-PKG_MD5SUM:= f1317dbb2398374d6691edd5bff1b91d
+PKG_MD5SUM:= 3c63a6d97333f4da35976b6a0755eb67
PKG_DESCR:= Python scripting language (Version 3)
PKG_SECTION:= lang
+PKG_DEPENDS:= libpthread
PKG_URL:= http://www.python.org/
PKG_SITES:= http://www.python.org/ftp/python/${PKG_VERSION}/
@@ -21,13 +22,16 @@ include ${TOPDIR}/mk/package.mk
$(eval $(call PKG_template,PYTHON,${PKG_NAME},${PKG_VERSION}-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+# disable honour cflags stuff
+XAKE_FLAGS+= GCC_HONOUR_COPTS=s
+
MAKE_ENV+= OPT="$(TARGET_CFLAGS)" \
HOSTPYTHON=./hostpython \
HOSTPGEN=./Parser/hostpgen
-CONFIGURE_ENV+= OPT="$(TARGET_CFLAGS)"
CONFIGURE_ARGS:= --with-threads \
--with-system-ffi \
--without-cxx-main
+CONFIGURE_ENV+= ac_cv_have_long_long_format=yes
post-extract:
(cd ${WRKBUILD}; rm -rf config.{cache,status} ; \
@@ -49,9 +53,11 @@ pre-configure:
post-install:
${INSTALL_DIR} ${IDIR_PYTHON}/usr/bin ${IDIR_PYTHON}/usr/lib
${INSTALL_DIR} ${IDIR_PYTHON}/usr/lib/python3.2
+ ${INSTALL_DIR} ${IDIR_PYTHON}/usr/include/python3.2m
${INSTALL_BIN} ${WRKINST}/usr/bin/python3 ${IDIR_PYTHON}/usr/bin
${CP} ${WRKINST}/usr/lib/libpython*.so* ${IDIR_PYTHON}/usr/lib
cd ${IDIR_PYTHON}/usr/bin && ln -s python3 python
${CP} ${WRKINST}/usr/lib/python3.2/* ${IDIR_PYTHON}/usr/lib/python3.2
+ ${CP} ${WRKINST}/usr/include/python3.2m/* ${IDIR_PYTHON}/usr/include/python3.2m
include ${TOPDIR}/mk/pkg-bottom.mk
diff --git a/package/python/patches/patch-Makefile_pre_in b/package/python/patches/patch-Makefile_pre_in
index 00504cb16..a2f7d96dc 100644
--- a/package/python/patches/patch-Makefile_pre_in
+++ b/package/python/patches/patch-Makefile_pre_in
@@ -1,6 +1,7 @@
---- Python-3.1.1.orig/Makefile.pre.in 2009-06-12 00:54:11.000000000 +0200
-+++ Python-3.1.1/Makefile.pre.in 2009-09-28 19:01:13.167748736 +0200
-@@ -52,7 +52,7 @@ INSTALL_DATA= @INSTALL_DATA@
+diff -Nur Python-3.2.2.orig/Makefile.pre.in Python-3.2.2/Makefile.pre.in
+--- Python-3.2.2.orig/Makefile.pre.in 2011-09-03 18:16:45.000000000 +0200
++++ Python-3.2.2/Makefile.pre.in 2011-09-05 11:58:25.000000000 +0200
+@@ -57,7 +57,7 @@
# Shared libraries must be installed with executable mode on some systems;
# rather than figuring out exactly which, we always give them executable mode.
# Also, making them read-only seems to be a good idea...
@@ -9,7 +10,7 @@
MAKESETUP= $(srcdir)/Modules/makesetup
-@@ -177,6 +177,7 @@ LIBOBJS= @LIBOBJS@
+@@ -191,6 +191,7 @@
PYTHON= python$(EXE)
BUILDPYTHON= python$(BUILDEXE)
@@ -17,7 +18,7 @@
# The task to run while instrument when building the profile-opt target
PROFILE_TASK= $(srcdir)/Tools/pybench/pybench.py -n 2 --with-gc --with-syscheck
-@@ -217,6 +218,7 @@ GRAMMAR_INPUT= $(srcdir)/Grammar/Grammar
+@@ -233,6 +234,7 @@
##########################################################################
# Parser
PGEN= Parser/pgen$(EXE)
@@ -25,7 +26,7 @@
POBJS= \
Parser/acceler.o \
-@@ -393,7 +395,7 @@ build_all_generate_profile:
+@@ -413,7 +415,7 @@
$(MAKE) all CFLAGS="$(CFLAGS) -fprofile-generate" LIBS="$(LIBS) -lgcov"
run_profile_task:
@@ -34,12 +35,12 @@
build_all_use_profile:
$(MAKE) all CFLAGS="$(CFLAGS) -fprofile-use"
-@@ -411,14 +413,14 @@ $(BUILDPYTHON): Modules/python.o $(LIBRA
- $(BLDLIBRARY) $(LIBS) $(MODLIBS) $(SYSLIBS) $(LDLAST)
+@@ -429,14 +431,14 @@
+ $(LINKCC) $(PY_LDFLAGS) $(LINKFORSHARED) -o $@ Modules/python.o $(BLDLIBRARY) $(LIBS) $(MODLIBS) $(SYSLIBS) $(LDLAST)
platform: $(BUILDPYTHON)
-- $(RUNSHARED) ./$(BUILDPYTHON) -E -c 'import sys ; from distutils.util import get_platform ; print(get_platform()+"-"+sys.version[0:3])' >platform
-+ $(RUNSHARED) $(HOSTPYTHON) -E -c 'import sys ; from distutils.util import get_platform ; print(get_platform()+"-"+sys.version[0:3])' >platform
+- $(RUNSHARED) ./$(BUILDPYTHON) -E -c 'import sys ; from sysconfig import get_platform ; print(get_platform()+"-"+sys.version[0:3])' >platform
++ $(RUNSHARED) $(HOSTPYTHON) -E -c 'import sys ; from sysconfig import get_platform ; print(get_platform()+"-"+sys.version[0:3])' >platform
# Build the shared modules
@@ -52,43 +53,43 @@
esac
# Build static library
-@@ -542,7 +544,7 @@ $(IO_OBJS): $(IO_H)
-
- $(GRAMMAR_H) $(GRAMMAR_C): $(PGEN) $(GRAMMAR_INPUT)
+@@ -587,7 +589,7 @@
+ $(GRAMMAR_H) $(GRAMMAR_C): Parser/pgen.stamp
+ Parser/pgen.stamp: $(PGEN) $(GRAMMAR_INPUT)
-@$(INSTALL) -d Include
-- -$(PGEN) $(GRAMMAR_INPUT) $(GRAMMAR_H) $(GRAMMAR_C)
+- $(PGEN) $(GRAMMAR_INPUT) $(GRAMMAR_H) $(GRAMMAR_C)
+ -$(HOSTPGEN) $(GRAMMAR_INPUT) $(GRAMMAR_H) $(GRAMMAR_C)
+ -touch Parser/pgen.stamp
$(PGEN): $(PGENOBJS)
- $(CC) $(OPT) $(LDFLAGS) $(PGENOBJS) $(LIBS) -o $(PGEN)
-@@ -705,7 +707,7 @@ $(LIBRARY_OBJS) $(MODOBJS) Modules/pytho
+@@ -758,7 +760,7 @@
TESTOPTS= -l $(EXTRATESTOPTS)
TESTPROG= $(srcdir)/Lib/test/regrtest.py
--TESTPYTHON= $(RUNSHARED) ./$(BUILDPYTHON) -E -bb
-+TESTPYTHON= $(RUNSHARED) $(HOSTPYTHON) -E -bb
+-TESTPYTHON= $(RUNSHARED) ./$(BUILDPYTHON) -Wd -E -bb $(TESTPYTHONOPTS)
++TESTPYTHON= $(RUNSHARED) $(HOSTPYTHON) -Wd -E -bb $(TESTPYTHONOPTS)
test: all platform
-find $(srcdir)/Lib -name '*.py[co]' -print | xargs rm -f
-$(TESTPYTHON) $(TESTPROG) $(TESTOPTS)
-@@ -1018,7 +1020,7 @@ libainstall: all
+@@ -1102,7 +1104,7 @@
# Install the dynamically loadable modules
# This goes into $(exec_prefix)
- sharedinstall:
+ sharedinstall: sharedmods
- $(RUNSHARED) ./$(BUILDPYTHON) -E $(srcdir)/setup.py install \
+ $(RUNSHARED) $(HOSTPYTHON) -E $(srcdir)/setup.py install \
--prefix=$(prefix) \
--install-scripts=$(BINDIR) \
--install-platlib=$(DESTSHARED) \
-@@ -1056,7 +1058,7 @@ frameworkinstallstructure: $(LDLIBRARY)
+@@ -1140,7 +1142,7 @@
fi; \
done
- $(LN) -fsn include/python$(VERSION) $(DESTDIR)$(prefix)/Headers
+ $(LN) -fsn include/python$(LDVERSION) $(DESTDIR)$(prefix)/Headers
- sed 's/%VERSION%/'"`$(RUNSHARED) ./$(BUILDPYTHON) -c 'import platform; print(platform.python_version())'`"'/g' < $(RESSRCDIR)/Info.plist > $(DESTDIR)$(prefix)/Resources/Info.plist
+ sed 's/%VERSION%/'"`$(RUNSHARED) $(HOSTPYTHON) -c 'import platform; print(platform.python_version())'`"'/g' < $(RESSRCDIR)/Info.plist > $(DESTDIR)$(prefix)/Resources/Info.plist
$(LN) -fsn $(VERSION) $(DESTDIR)$(PYTHONFRAMEWORKINSTALLDIR)/Versions/Current
$(LN) -fsn Versions/Current/$(PYTHONFRAMEWORK) $(DESTDIR)$(PYTHONFRAMEWORKINSTALLDIR)/$(PYTHONFRAMEWORK)
$(LN) -fsn Versions/Current/Headers $(DESTDIR)$(PYTHONFRAMEWORKINSTALLDIR)/Headers
-@@ -1098,7 +1100,7 @@ frameworkinstallextras:
+@@ -1174,7 +1176,7 @@
# This installs a few of the useful scripts in Tools/scripts
scriptsinstall:
SRCDIR=$(srcdir) $(RUNSHARED) \
@@ -96,8 +97,8 @@
+ $(HOSTPYTHON) $(srcdir)/Tools/scripts/setup.py install \
--prefix=$(prefix) \
--install-scripts=$(BINDIR) \
- --root=/$(DESTDIR)
-@@ -1120,7 +1122,7 @@ config.status: $(srcdir)/configure
+ --root=$(DESTDIR)/
+@@ -1196,7 +1198,7 @@
# Run reindent on the library
reindent:
@@ -106,7 +107,7 @@
# Rerun configure with the same options as it was run last time,
# provided the config.status script exists
-@@ -1234,7 +1236,7 @@ funny:
+@@ -1317,7 +1319,7 @@
# Perform some verification checks on any modified files.
patchcheck:
diff --git a/package/python/patches/patch-configure b/package/python/patches/patch-configure
index b76afc821..b24d4c24f 100644
--- a/package/python/patches/patch-configure
+++ b/package/python/patches/patch-configure
@@ -1,12 +1,13 @@
---- Python-3.1.1.orig/configure 2009-06-08 23:22:57.000000000 +0200
-+++ Python-3.1.1/configure 2010-11-07 20:52:09.000000000 +0100
-@@ -2051,12 +2051,12 @@ fi
- echo $ECHO_N "checking MACHDEP... $ECHO_C" >&6; }
+diff -Nur Python-3.2.2.orig/configure Python-3.2.2/configure
+--- Python-3.2.2.orig/configure 2011-09-03 18:16:50.000000000 +0200
++++ Python-3.2.2/configure 2011-09-05 11:35:01.000000000 +0200
+@@ -2983,12 +2983,12 @@
+ $as_echo_n "checking MACHDEP... " >&6; }
if test -z "$MACHDEP"
then
- ac_sys_system=`uname -s`
+ ac_sys_system=Linux
- if test "$ac_sys_system" = "AIX" -o "$ac_sys_system" = "Monterey64" \
+ if test "$ac_sys_system" = "AIX" \
-o "$ac_sys_system" = "UnixWare" -o "$ac_sys_system" = "OpenUNIX"; then
ac_sys_release=`uname -v`
else
@@ -15,334 +16,12 @@
fi
ac_md_system=`echo $ac_sys_system |
tr -d '/ ' | tr '[A-Z]' '[a-z]'`
-@@ -2224,7 +2224,7 @@ EXPORT_MACOSX_DEPLOYMENT_TARGET='#'
+@@ -3140,7 +3140,7 @@
- { echo "$as_me:$LINENO: checking machine type as reported by uname -m" >&5
- echo $ECHO_N "checking machine type as reported by uname -m... $ECHO_C" >&6; }
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking machine type as reported by uname -m" >&5
+ $as_echo_n "checking machine type as reported by uname -m... " >&6; }
-ac_sys_machine=`uname -m`
+ac_sys_machine=@@CPU_ARCH@@
- { echo "$as_me:$LINENO: result: $ac_sys_machine" >&5
- echo "${ECHO_T}$ac_sys_machine" >&6; }
-
-@@ -17204,141 +17204,6 @@ fi
- fi
-
-
--# On Tru64, chflags seems to be present, but calling it will
--# exit Python
--{ echo "$as_me:$LINENO: checking for chflags" >&5
--echo $ECHO_N "checking for chflags... $ECHO_C" >&6; }
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#include <sys/stat.h>
--#include <unistd.h>
--int main(int argc, char*argv[])
--{
-- if(chflags(argv[0], 0) != 0)
-- return 1;
-- return 0;
--}
--
--_ACEOF
--rm -f conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_try") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_CHFLAGS 1
--_ACEOF
--
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--{ echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
--
--fi
--rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
--
--
--
--{ echo "$as_me:$LINENO: checking for lchflags" >&5
--echo $ECHO_N "checking for lchflags... $ECHO_C" >&6; }
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#include <sys/stat.h>
--#include <unistd.h>
--int main(int argc, char*argv[])
--{
-- if(lchflags(argv[0], 0) != 0)
-- return 1;
-- return 0;
--}
--
--_ACEOF
--rm -f conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_try") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_LCHFLAGS 1
--_ACEOF
--
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--{ echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
--
--fi
--rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
-
-
-
-@@ -22435,84 +22300,6 @@ fi
-
- LIBS=$LIBS_SAVE
-
--# Multiprocessing check for broken sem_getvalue
--{ echo "$as_me:$LINENO: checking for broken sem_getvalue" >&5
--echo $ECHO_N "checking for broken sem_getvalue... $ECHO_C" >&6; }
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--
--#include <unistd.h>
--#include <fcntl.h>
--#include <stdio.h>
--#include <semaphore.h>
--#include <sys/stat.h>
--
--int main(void){
-- sem_t *a = sem_open("/autoconf", O_CREAT, S_IRUSR|S_IWUSR, 0);
-- int count;
-- int res;
-- if(a==SEM_FAILED){
-- perror("sem_open");
-- return 1;
--
-- }
-- res = sem_getvalue(a, &count);
-- sem_close(a);
-- return res==-1 ? 1 : 0;
--}
--
--
--_ACEOF
--rm -f conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_try") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- { echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--{ echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--
--cat >>confdefs.h <<\_ACEOF
--#define HAVE_BROKEN_SEM_GETVALUE 1
--_ACEOF
--
--
--fi
--rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
-
-
-
-@@ -25145,94 +24932,6 @@ else
- echo "${ECHO_T}no" >&6; }
- fi
-
--{ echo "$as_me:$LINENO: checking for %zd printf() format support" >&5
--echo $ECHO_N "checking for %zd printf() format support... $ECHO_C" >&6; }
--if test "$cross_compiling" = yes; then
-- { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&5
--echo "$as_me: error: cannot run test program while cross compiling
--See \`config.log' for more details." >&2;}
-- { (exit 1); exit 1; }; }
--else
-- cat >conftest.$ac_ext <<_ACEOF
--/* confdefs.h. */
--_ACEOF
--cat confdefs.h >>conftest.$ac_ext
--cat >>conftest.$ac_ext <<_ACEOF
--/* end confdefs.h. */
--#include <stdio.h>
--#include <stddef.h>
--#include <string.h>
--
--#ifdef HAVE_SYS_TYPES_H
--#include <sys/types.h>
--#endif
--
--#ifdef HAVE_SSIZE_T
--typedef ssize_t Py_ssize_t;
--#elif SIZEOF_VOID_P == SIZEOF_LONG
--typedef long Py_ssize_t;
--#else
--typedef int Py_ssize_t;
--#endif
--
--int main()
--{
-- char buffer[256];
--
-- if(sprintf(buffer, "%zd", (size_t)123) < 0)
-- return 1;
--
-- if (strcmp(buffer, "123"))
-- return 1;
--
-- if (sprintf(buffer, "%zd", (Py_ssize_t)-123) < 0)
-- return 1;
--
-- if (strcmp(buffer, "-123"))
-- return 1;
--
-- return 0;
--}
--_ACEOF
--rm -f conftest$ac_exeext
--if { (ac_try="$ac_link"
--case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_link") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-- { (case "(($ac_try" in
-- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-- *) ac_try_echo=$ac_try;;
--esac
--eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-- (eval "$ac_try") 2>&5
-- ac_status=$?
-- echo "$as_me:$LINENO: \$? = $ac_status" >&5
-- (exit $ac_status); }; }; then
-- { echo "$as_me:$LINENO: result: yes" >&5
--echo "${ECHO_T}yes" >&6; }
--
--cat >>confdefs.h <<\_ACEOF
--#define PY_FORMAT_SIZE_T "z"
--_ACEOF
--
--else
-- echo "$as_me: program exited with status $ac_status" >&5
--echo "$as_me: failed program was:" >&5
--sed 's/^/| /' conftest.$ac_ext >&5
--
--( exit $ac_status )
--{ echo "$as_me:$LINENO: result: no" >&5
--echo "${ECHO_T}no" >&6; }
--fi
--rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
--fi
-
-
+ { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_sys_machine" >&5
+ $as_echo "$ac_sys_machine" >&6; }
diff --git a/package/python/patches/patch-setup_py b/package/python/patches/patch-setup_py
index c9f3dfe08..2c910039c 100644
--- a/package/python/patches/patch-setup_py
+++ b/package/python/patches/patch-setup_py
@@ -1,6 +1,7 @@
---- Python-3.1.1.orig/setup.py 2009-08-12 20:39:44.000000000 +0200
-+++ Python-3.1.1/setup.py 2009-09-28 19:12:33.550271196 +0200
-@@ -255,36 +255,6 @@ class PyBuildExt(build_ext):
+diff -Nur Python-3.2.2.orig/setup.py Python-3.2.2/setup.py
+--- Python-3.2.2.orig/setup.py 2011-09-03 18:16:50.000000000 +0200
++++ Python-3.2.2/setup.py 2011-09-05 12:17:57.000000000 +0200
+@@ -332,36 +332,6 @@
# cached. Clear that cache before trying to import.
sys.path_importer_cache.clear()
@@ -37,32 +38,32 @@
def get_platform(self):
# Get value of sys.platform
-@@ -295,8 +265,8 @@ class PyBuildExt(build_ext):
-
- def detect_modules(self):
- # Ensure that /usr/local is always used
+@@ -396,8 +366,8 @@
+ # Ensure that /usr/local is always used, but the local build
+ # directories (i.e. '.' and 'Include') must be first. See issue
+ # 10520.
- add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
- add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
+ #add_dir_to_list(self.compiler.library_dirs, '/usr/local/lib')
+ #add_dir_to_list(self.compiler.include_dirs, '/usr/local/include')
+ self.add_multiarch_paths()
# Add paths specified in the environment variables LDFLAGS and
- # CPPFLAGS for header and library files.
-@@ -332,20 +302,22 @@ class PyBuildExt(build_ext):
+@@ -434,25 +404,16 @@
for directory in reversed(options.dirs):
add_dir_to_list(dir_list, directory)
-- if os.path.normpath(sys.prefix) != '/usr':
+- if os.path.normpath(sys.prefix) != '/usr' \
+- and not sysconfig.get_config_var('PYTHONFRAMEWORK'):
+- # OSX note: Don't add LIBDIR and INCLUDEDIR to building a framework
+- # (PYTHONFRAMEWORK is set) to avoid # linking problems when
+- # building a framework with different architectures than
+- # the one that is currently installed (issue #7473)
- add_dir_to_list(self.compiler.library_dirs,
- sysconfig.get_config_var("LIBDIR"))
- add_dir_to_list(self.compiler.include_dirs,
- sysconfig.get_config_var("INCLUDEDIR"))
-+ #if os.path.normpath(sys.prefix) != '/usr':
-+ # add_dir_to_list(self.compiler.library_dirs,
-+ # sysconfig.get_config_var("LIBDIR"))
-+ # add_dir_to_list(self.compiler.include_dirs,
-+ # sysconfig.get_config_var("INCLUDEDIR"))
-
+-
# lib_dirs and inc_dirs are used to search for files;
# if a file is found in one of those directories, it can
# be assumed that no additional -I,-L directives are needed.
@@ -71,13 +72,13 @@
- '/lib', '/usr/lib',
- ]
- inc_dirs = self.compiler.include_dirs + ['/usr/include']
-+ #lib_dirs = self.compiler.library_dirs + [
++ lib_dirs = self.compiler.library_dirs
++ #+ [
+ # '/lib64', '/usr/lib64',
+ # '/lib', '/usr/lib',
+ # ]
-+ #inc_dirs = self.compiler.include_dirs + ['/usr/include']
-+ inc_dirs = self.compiler.include_dirs
-+ lib_dirs = self.compiler.library_dirs
++ inc_dirs = self.compiler.include_dirs
++ #+ ['/usr/include']
exts = []
missing = []
diff --git a/package/resource-agents/Makefile b/package/resource-agents/Makefile
index 30f63b07b..6611a579c 100644
--- a/package/resource-agents/Makefile
+++ b/package/resource-agents/Makefile
@@ -14,6 +14,7 @@ PKG_SITES:= http://openadk.org/distfiles/
PKG_CFLINE_RESOURCE_AGENTS:= depends on ADK_TARGET_LIB_GLIBC || ADK_TARGET_LIB_EGLIBC
PKG_HOST_DEPENDS:= !darwin
+PKG_ARCH_DEPENDS:= x86
include $(TOPDIR)/mk/package.mk
diff --git a/package/usbutils/Makefile b/package/usbutils/Makefile
index 31c2b6980..e4c903bef 100644
--- a/package/usbutils/Makefile
+++ b/package/usbutils/Makefile
@@ -9,8 +9,8 @@ PKG_RELEASE:= 1
PKG_MD5SUM:= 94a1738fe92062cdd6a9642eeaccefc1
PKG_DESCR:= A program to list USB devices
PKG_SECTION:= utils
-PKG_DEPENDS:= libusb libusb-compat libpthread
-PKG_BUILDDEP:= libusb libusb-compat
+PKG_DEPENDS:= libusb libusb-compat libpthread zlib
+PKG_BUILDDEP:= libusb libusb-compat zlib
PKG_SITES:= http://www.kernel.org/pub/linux/utils/usb/usbutils/
PKG_SUBPKGS:= LSUSB
diff --git a/target/arm/Makefile b/target/arm/Makefile
index 8e6ab0df7..e290fd8e3 100644
--- a/target/arm/Makefile
+++ b/target/arm/Makefile
@@ -11,6 +11,14 @@ ZKERNEL:=$(LINUX_DIR)/arch/arm/boot/zImage
KERNEL:=$(LINUX_DIR)/vmlinux
LOADADDR:=0x20008000
+ifeq ($(ADK_TARGET_QEMU_ARM_MODEL_SPITZ),y)
+MACH:=spitz
+endif
+ifeq ($(ADK_TARGET_QEMU_ARM_MODEL_VERSATILE),y)
+MACH:=versatilepb
+NET:=-net user,hostfwd=tcp::2222-:22 -net nic,model=smc91c111
+endif
+
tools-compile:
$(MAKE) -C ../tools/uboot-mkimage
@@ -50,7 +58,8 @@ ifeq ($(ADK_TARGET_SYSTEM_QEMU_ARM),y)
@echo "Use following command to create a QEMU Image:"
@echo "sudo ./scripts/create-image.sh -f $(ADK_TARGET_ROOTFS) qemu-${CPU_ARCH}.img $(BIN_DIR)/$(ROOTFSTARBALL)"
@echo "Start qemu with following options:"
- @echo 'qemu-system-arm -M spitz -nographic -kernel $(BIN_DIR)/$(TARGET_KERNEL) -hda qemu-${CPU_ARCH}.img -append "root=/dev/hda1"'
+ @echo 'qemu-system-arm -M $(MACH) -nographic $(NET) -kernel $(BIN_DIR)/$(TARGET_KERNEL) -hda qemu-${CPU_ARCH}.img'
+endif
endif
endif
ifeq ($(ADK_TARGET_FS),initramfs)
@@ -64,7 +73,7 @@ endif
@echo 'The initramfs image is: ${BIN_DIR}/${INITRAMFS}'
ifeq ($(ADK_TARGET_SYSTEM_QEMU_ARM),y)
@echo "Start qemu with following command line:"
- @echo 'qemu-system-arm -M spitz -nographic -kernel $(BIN_DIR)/$(TARGET_KERNEL) -initrd ${BIN_DIR}/${INITRAMFS}'
+ @echo 'qemu-system-arm -M $(MACH) -nographic $(NET) -kernel $(BIN_DIR)/$(TARGET_KERNEL) -initrd ${BIN_DIR}/${INITRAMFS}'
endif
endif
ifeq ($(ADK_TARGET_FS),initramfs-piggyback)
@@ -77,6 +86,7 @@ endif
@echo 'The kernel+initramfs file is: $(BIN_DIR)/${TARGET_KERNEL}'
ifeq ($(ADK_TARGET_SYSTEM_QEMU_ARM),y)
@echo "Start qemu with following command line:"
- @echo 'qemu-system-arm -M spitz -nographic -kernel $(BIN_DIR)/$(TARGET_KERNEL)'
+ @echo 'qemu-system-arm -M $(MACH) -nographic $(NET) -kernel $(BIN_DIR)/$(TARGET_KERNEL)'
+endif
endif
endif
diff --git a/target/arm/sys-available/qemu-arm b/target/arm/sys-available/qemu-arm
index beb1e2ee4..1e62f2abb 100644
--- a/target/arm/sys-available/qemu-arm
+++ b/target/arm/sys-available/qemu-arm
@@ -4,12 +4,7 @@ config ADK_TARGET_SYSTEM_QEMU_ARM
select ADK_qemu_arm
select ADK_little
select ADK_EABI
- select ADK_KERNEL_ARCH_PXA
- select ADK_KERNEL_PXA_SHARPSL
- select ADK_KERNEL_MACH_SPITZ
- select ADK_KERNEL_SPI_PXA2XX
select ADK_TARGET_NO_FPU
select ADK_HARDWARE_QEMU
help
Support for Qemu Emulator (arm).
- Optimized for PXA270 Spitz.
diff --git a/target/config/Config.in b/target/config/Config.in
index fd0f3e146..0c1bf3d1f 100644
--- a/target/config/Config.in
+++ b/target/config/Config.in
@@ -74,6 +74,29 @@ config ADK_TARGET_ABI_N64
endchoice
# submodel support
+#
+choice
+prompt "Qemu ARM Emulation"
+depends on ADK_TARGET_SYSTEM_QEMU_ARM
+
+config ADK_TARGET_QEMU_ARM_MODEL_SPITZ
+ boolean "Xscale PXA270 Spitz PDA"
+ select ADK_KERNEL_ARCH_PXA
+ select ADK_KERNEL_PXA_SHARPSL
+ select ADK_KERNEL_MACH_SPITZ
+ select ADK_KERNEL_SPI_PXA2XX
+
+config ADK_TARGET_QEMU_ARM_MODEL_VERSATILE
+ boolean "ARM Ltd. Versatile"
+ select ADK_KERNEL_ARCH_VERSATILE
+ select ADK_KERNEL_PCI
+ select ADK_KERNEL_BLOCK
+ select ADK_KERNEL_SCSI
+ select ADK_KERNEL_BLK_DEV_SD
+ select ADK_KERNEL_SCSI_SYM53C8XX_2
+
+endchoice
+
choice
prompt "Foxboard LX Model"
depends on ADK_TARGET_SYSTEM_FOXBOARD_LX
@@ -349,7 +372,9 @@ config ADK_TARGET_CMDLINE
default "console=ttyS0,115200 console=tty0" if ADK_TARGET_SYSTEM_IBM_X40
default "console=ttyS0,115200 console=tty0" if ADK_TARGET_SYSTEM_INTEL_ATOM
default "console=ttyS0,115200 console=tty0" if ADK_TARGET_SYSTEM_QEMU_I686
- default "console=ttyS0,115200 console=tty0" if ADK_TARGET_SYSTEM_QEMU_ARM
+ default "console=ttyS0,115200 console=tty0" if ADK_TARGET_QEMU_ARM_MODEL_SPITZ
+ default "console=ttyAMA0 console=tty0" if ADK_TARGET_QEMU_ARM_MODEL_VERSATILE
+ default "console=tty0" if ADK_TARGET_SYSTEM_QEMU_SH
default "console=ttyS0,115200" if ADK_TARGET_SYSTEM_PCENGINES_ALIX2D13
default "console=ttyS0,115200" if ADK_TARGET_SYSTEM_PCENGINES_ALIX2D2
default "console=ttyS0,115200" if ADK_TARGET_SYSTEM_FOXBOARD_LX
diff --git a/target/linux/config/Config.in.block b/target/linux/config/Config.in.block
index fdafb06b0..fe4c0a9c8 100644
--- a/target/linux/config/Config.in.block
+++ b/target/linux/config/Config.in.block
@@ -62,6 +62,9 @@ config ADK_KERNEL_MMC
config ADK_KERNEL_MMC_BLOCK
boolean
+config ADK_KERNEL_SCSI_SYM53C8XX_2
+ boolean
+
config ADK_KERNEL_MMC_AT91
boolean
select ADK_KERNEL_BLOCK
diff --git a/target/linux/config/Config.in.kernel b/target/linux/config/Config.in.kernel
index 696f7afc9..1791a624a 100644
--- a/target/linux/config/Config.in.kernel
+++ b/target/linux/config/Config.in.kernel
@@ -85,3 +85,6 @@ config ADK_KERNEL_NFS_COMMON
config ADK_KERNEL_SUNRPC
boolean
+
+config ADK_KERNEL_PCI
+ boolean
diff --git a/target/linux/config/Config.in.netdevice b/target/linux/config/Config.in.netdevice
index 2f9b87200..b615156f9 100644
--- a/target/linux/config/Config.in.netdevice
+++ b/target/linux/config/Config.in.netdevice
@@ -22,6 +22,16 @@ config ADK_KERNEL_NETDEV_1000
config ADK_KERNEL_VIA_RHINE_MMIO
boolean
+config ADK_KERNEL_SMC91X
+ boolean
+ select ADK_KERNEL_NETDEVICES
+ select ADK_KERNEL_NET_ETHERNET
+ select ADK_KERNEL_NET_PCI
+ select ADK_KERNEL_MII
+ default y if ADK_TARGET_QEMU_ARM_MODEL_VERSATILE
+ default n
+ help
+
config ADK_KERNEL_CPMAC
boolean
select ADK_KERNEL_NETDEVICES
diff --git a/target/linux/config/Config.in.serial b/target/linux/config/Config.in.serial
index 3451046de..adc25312d 100644
--- a/target/linux/config/Config.in.serial
+++ b/target/linux/config/Config.in.serial
@@ -1,8 +1,15 @@
config ADK_KERNEL_SERIAL_PXA
boolean
- default y if ADK_TARGET_SYSTEM_QEMU_ARM
+ default y if ADK_TARGET_QEMU_ARM_MODEL_SPITZ
config ADK_KERNEL_SERIAL_PXA_CONSOLE
boolean
- default y if ADK_TARGET_SYSTEM_QEMU_ARM
+ default y if ADK_TARGET_QEMU_ARM_MODEL_SPITZ
+config ADK_KERNEL_SERIAL_AMBA_PL011
+ boolean
+ default y if ADK_TARGET_QEMU_ARM_MODEL_VERSATILE
+
+config ADK_KERNEL_SERIAL_AMBA_PL011_CONSOLE
+ boolean
+ default y if ADK_TARGET_QEMU_ARM_MODEL_VERSATILE
diff --git a/target/linux/config/Config.in.systems b/target/linux/config/Config.in.systems
index 24baa864e..3e64caddc 100644
--- a/target/linux/config/Config.in.systems
+++ b/target/linux/config/Config.in.systems
@@ -35,6 +35,9 @@ config ADK_KERNEL_LEMOTE_MACH2F
boolean
# arm systems
+config ADK_KERNEL_ARCH_VERSATILE
+ boolean
+
config ADK_KERNEL_ARCH_PXA
boolean
diff --git a/target/linux/patches/2.6.39/cris.patch b/target/linux/patches/2.6.39/cris.patch
index 3bdc0acb8..2d56de399 100644
--- a/target/linux/patches/2.6.39/cris.patch
+++ b/target/linux/patches/2.6.39/cris.patch
@@ -1,6 +1,6 @@
diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/drivers/axisflashmap.c linux-2.6.39/arch/cris/arch-v10/drivers/axisflashmap.c
--- linux-2.6.39.orig/arch/cris/arch-v10/drivers/axisflashmap.c 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/arch-v10/drivers/axisflashmap.c 2011-08-22 08:58:55.057980882 +0200
++++ linux-2.6.39/arch/cris/arch-v10/drivers/axisflashmap.c 2011-08-25 07:43:00.179230147 +0200
@@ -113,7 +113,7 @@
/* If no partition-table was found, we use this default-set. */
@@ -148,7 +148,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/drivers/axisflashmap.c linux-2.6.
diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/drivers/ds1302.c linux-2.6.39/arch/cris/arch-v10/drivers/ds1302.c
--- linux-2.6.39.orig/arch/cris/arch-v10/drivers/ds1302.c 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/arch-v10/drivers/ds1302.c 2011-08-22 08:58:55.157980341 +0200
++++ linux-2.6.39/arch/cris/arch-v10/drivers/ds1302.c 2011-08-25 07:43:00.339229517 +0200
@@ -22,6 +22,7 @@
#include <linux/mutex.h>
#include <linux/bcd.h>
@@ -183,7 +183,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/drivers/ds1302.c linux-2.6.39/arc
}
diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/drivers/gpio.c linux-2.6.39/arch/cris/arch-v10/drivers/gpio.c
--- linux-2.6.39.orig/arch/cris/arch-v10/drivers/gpio.c 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/arch-v10/drivers/gpio.c 2011-08-22 08:58:55.227980067 +0200
++++ linux-2.6.39/arch/cris/arch-v10/drivers/gpio.c 2011-08-25 07:43:00.588029746 +0200
@@ -20,6 +20,7 @@
#include <linux/poll.h>
#include <linux/init.h>
@@ -219,7 +219,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/drivers/gpio.c linux-2.6.39/arch/
CRIS_LED_NETWORK_SET(0);
diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/lib/hw_settings.S linux-2.6.39/arch/cris/arch-v10/lib/hw_settings.S
--- linux-2.6.39.orig/arch/cris/arch-v10/lib/hw_settings.S 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/arch-v10/lib/hw_settings.S 2011-08-22 08:58:55.287980084 +0200
++++ linux-2.6.39/arch/cris/arch-v10/lib/hw_settings.S 2011-08-25 07:43:00.799228984 +0200
@@ -58,3 +58,5 @@
.dword R_PORT_PB_SET
.dword PB_SET_VALUE
@@ -228,7 +228,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/lib/hw_settings.S linux-2.6.39/ar
+ .dword 0xdeadc0de
diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/mm/init.c linux-2.6.39/arch/cris/arch-v10/mm/init.c
--- linux-2.6.39.orig/arch/cris/arch-v10/mm/init.c 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/arch-v10/mm/init.c 2011-08-22 08:58:55.347981214 +0200
++++ linux-2.6.39/arch/cris/arch-v10/mm/init.c 2011-08-25 07:43:01.069229695 +0200
@@ -184,6 +184,9 @@
free_area_init_node(0, zones_size, PAGE_OFFSET >> PAGE_SHIFT, 0);
@@ -241,7 +241,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/arch-v10/mm/init.c linux-2.6.39/arch/cris/
* is called before any driver is initialized.
diff -Nur linux-2.6.39.orig/arch/cris/boot/compressed/Makefile linux-2.6.39/arch/cris/boot/compressed/Makefile
--- linux-2.6.39.orig/arch/cris/boot/compressed/Makefile 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/boot/compressed/Makefile 2011-08-22 08:58:55.427980567 +0200
++++ linux-2.6.39/arch/cris/boot/compressed/Makefile 2011-08-25 07:43:01.847994855 +0200
@@ -18,7 +18,7 @@
OBJECTS-$(CONFIG_ETRAX_ARCH_V32) = $(obj)/head_v32.o
OBJECTS-$(CONFIG_ETRAX_ARCH_V10) = $(obj)/head_v10.o
@@ -253,7 +253,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/boot/compressed/Makefile linux-2.6.39/arch
cmd_image = cat $(obj)/decompress.bin $(obj)/piggy.gz > $@
diff -Nur linux-2.6.39.orig/arch/cris/boot/Makefile linux-2.6.39/arch/cris/boot/Makefile
--- linux-2.6.39.orig/arch/cris/boot/Makefile 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/boot/Makefile 2011-08-22 08:58:55.507980367 +0200
++++ linux-2.6.39/arch/cris/boot/Makefile 2011-08-25 07:43:01.989240448 +0200
@@ -5,7 +5,7 @@
objcopyflags-$(CONFIG_ETRAX_ARCH_V10) += -R .note -R .comment
objcopyflags-$(CONFIG_ETRAX_ARCH_V32) += --remove-section=.bss --remove-section=.note.gnu.build-id
@@ -273,7 +273,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/boot/Makefile linux-2.6.39/arch/cris/boot/
@cp $< $@
diff -Nur linux-2.6.39.orig/arch/cris/Kconfig linux-2.6.39/arch/cris/Kconfig
--- linux-2.6.39.orig/arch/cris/Kconfig 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/Kconfig 2011-08-22 08:58:55.587980284 +0200
++++ linux-2.6.39/arch/cris/Kconfig 2011-08-25 07:43:57.197980003 +0200
@@ -168,6 +168,12 @@
help
Size of DRAM (decimal in MB) typically 2, 8 or 16.
@@ -296,7 +296,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/Kconfig linux-2.6.39/arch/cris/Kconfig
select MTD_PARTITIONS
select MTD_COMPLEX_MAPPINGS
help
-@@ -660,6 +666,11 @@
+@@ -660,6 +666,13 @@
source "drivers/ide/Kconfig"
@@ -305,10 +305,12 @@ diff -Nur linux-2.6.39.orig/arch/cris/Kconfig linux-2.6.39/arch/cris/Kconfig
+
+source "drivers/media/Kconfig"
+
++source "drivers/misc/Kconfig"
++
source "drivers/net/Kconfig"
source "drivers/i2c/Kconfig"
-@@ -675,6 +686,8 @@
+@@ -675,6 +688,8 @@
source "fs/Kconfig"
@@ -319,7 +321,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/Kconfig linux-2.6.39/arch/cris/Kconfig
source "drivers/uwb/Kconfig"
diff -Nur linux-2.6.39.orig/arch/cris/Makefile linux-2.6.39/arch/cris/Makefile
--- linux-2.6.39.orig/arch/cris/Makefile 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/Makefile 2011-08-22 08:58:55.837980069 +0200
++++ linux-2.6.39/arch/cris/Makefile 2011-08-25 07:43:02.329230084 +0200
@@ -40,10 +40,10 @@
LD = $(CROSS_COMPILE)ld -mcrislinux
@@ -335,7 +337,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/Makefile linux-2.6.39/arch/cris/Makefile
ifdef CONFIG_FRAME_POINTER
diff -Nur linux-2.6.39.orig/arch/cris/mm/init.c linux-2.6.39/arch/cris/mm/init.c
--- linux-2.6.39.orig/arch/cris/mm/init.c 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/arch/cris/mm/init.c 2011-08-22 08:58:55.897980391 +0200
++++ linux-2.6.39/arch/cris/mm/init.c 2011-08-25 07:43:02.489240456 +0200
@@ -16,6 +16,7 @@
DEFINE_PER_CPU(struct mmu_gather, mmu_gathers);
@@ -357,7 +359,7 @@ diff -Nur linux-2.6.39.orig/arch/cris/mm/init.c linux-2.6.39/arch/cris/mm/init.c
+#endif
diff -Nur linux-2.6.39.orig/drivers/net/cris/eth_v10.c linux-2.6.39/drivers/net/cris/eth_v10.c
--- linux-2.6.39.orig/drivers/net/cris/eth_v10.c 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/drivers/net/cris/eth_v10.c 2011-08-22 08:58:55.987980420 +0200
++++ linux-2.6.39/drivers/net/cris/eth_v10.c 2011-08-25 07:43:02.627979938 +0200
@@ -1714,7 +1714,7 @@
static void
e100_netpoll(struct net_device* netdev)
@@ -369,7 +371,7 @@ diff -Nur linux-2.6.39.orig/drivers/net/cris/eth_v10.c linux-2.6.39/drivers/net/
diff -Nur linux-2.6.39.orig/drivers/tty/serial/crisv10.c linux-2.6.39/drivers/tty/serial/crisv10.c
--- linux-2.6.39.orig/drivers/tty/serial/crisv10.c 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/drivers/tty/serial/crisv10.c 2011-08-22 08:58:56.137981508 +0200
++++ linux-2.6.39/drivers/tty/serial/crisv10.c 2011-08-25 07:43:02.637980323 +0200
@@ -26,6 +26,7 @@
#include <linux/kernel.h>
#include <linux/mutex.h>
@@ -413,7 +415,7 @@ diff -Nur linux-2.6.39.orig/drivers/tty/serial/crisv10.c linux-2.6.39/drivers/tt
diff -Nur linux-2.6.39.orig/drivers/usb/host/hc-cris-dbg.h linux-2.6.39/drivers/usb/host/hc-cris-dbg.h
--- linux-2.6.39.orig/drivers/usb/host/hc-cris-dbg.h 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.39/drivers/usb/host/hc-cris-dbg.h 2011-08-22 08:58:56.307980767 +0200
++++ linux-2.6.39/drivers/usb/host/hc-cris-dbg.h 2011-08-25 07:43:02.837990398 +0200
@@ -0,0 +1,146 @@
+
+/* macros for debug output */
@@ -563,7 +565,7 @@ diff -Nur linux-2.6.39.orig/drivers/usb/host/hc-cris-dbg.h linux-2.6.39/drivers/
+ })
diff -Nur linux-2.6.39.orig/drivers/usb/host/hc-crisv10.c linux-2.6.39/drivers/usb/host/hc-crisv10.c
--- linux-2.6.39.orig/drivers/usb/host/hc-crisv10.c 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.39/drivers/usb/host/hc-crisv10.c 2011-08-22 08:58:56.397980354 +0200
++++ linux-2.6.39/drivers/usb/host/hc-crisv10.c 2011-08-25 07:43:02.897981683 +0200
@@ -0,0 +1,4801 @@
+/*
+ *
@@ -5368,7 +5370,7 @@ diff -Nur linux-2.6.39.orig/drivers/usb/host/hc-crisv10.c linux-2.6.39/drivers/u
+module_exit(module_hcd_exit);
diff -Nur linux-2.6.39.orig/drivers/usb/host/hc-crisv10.h linux-2.6.39/drivers/usb/host/hc-crisv10.h
--- linux-2.6.39.orig/drivers/usb/host/hc-crisv10.h 1970-01-01 01:00:00.000000000 +0100
-+++ linux-2.6.39/drivers/usb/host/hc-crisv10.h 2011-08-22 08:58:56.467980502 +0200
++++ linux-2.6.39/drivers/usb/host/hc-crisv10.h 2011-08-25 07:43:03.100480030 +0200
@@ -0,0 +1,331 @@
+#ifndef __LINUX_ETRAX_USB_H
+#define __LINUX_ETRAX_USB_H
@@ -5703,7 +5705,7 @@ diff -Nur linux-2.6.39.orig/drivers/usb/host/hc-crisv10.h linux-2.6.39/drivers/u
+#endif
diff -Nur linux-2.6.39.orig/drivers/usb/host/Makefile linux-2.6.39/drivers/usb/host/Makefile
--- linux-2.6.39.orig/drivers/usb/host/Makefile 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/drivers/usb/host/Makefile 2011-08-22 08:58:56.527980204 +0200
++++ linux-2.6.39/drivers/usb/host/Makefile 2011-08-25 07:43:03.209057611 +0200
@@ -32,6 +32,7 @@
obj-$(CONFIG_USB_R8A66597_HCD) += r8a66597-hcd.o
obj-$(CONFIG_USB_ISP1760_HCD) += isp1760.o
@@ -5714,7 +5716,7 @@ diff -Nur linux-2.6.39.orig/drivers/usb/host/Makefile linux-2.6.39/drivers/usb/h
obj-$(CONFIG_USB_OCTEON2_COMMON) += octeon2-common.o
diff -Nur linux-2.6.39.orig/drivers/usb/Makefile linux-2.6.39/drivers/usb/Makefile
--- linux-2.6.39.orig/drivers/usb/Makefile 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/drivers/usb/Makefile 2011-08-22 08:58:56.607990534 +0200
++++ linux-2.6.39/drivers/usb/Makefile 2011-08-25 07:43:03.380490677 +0200
@@ -21,6 +21,7 @@
obj-$(CONFIG_USB_R8A66597_HCD) += host/
obj-$(CONFIG_USB_HWA_HCD) += host/
@@ -5725,7 +5727,7 @@ diff -Nur linux-2.6.39.orig/drivers/usb/Makefile linux-2.6.39/drivers/usb/Makefi
obj-$(CONFIG_USB_C67X00_HCD) += c67x00/
diff -Nur linux-2.6.39.orig/lib/klist.c linux-2.6.39/lib/klist.c
--- linux-2.6.39.orig/lib/klist.c 2011-05-19 06:06:34.000000000 +0200
-+++ linux-2.6.39/lib/klist.c 2011-08-22 08:58:56.667990229 +0200
++++ linux-2.6.39/lib/klist.c 2011-08-25 07:43:03.558483154 +0200
@@ -60,7 +60,7 @@
{
knode->n_klist = klist;